﻿<!--File Name: AdminHome.cshtml-->
<!--File Description: Creates the view for displaying the Admin view for the home page, which provides administarators with
    the ability to change entries in homeConfig.json.-->
<!DOCTYPE html>
<html>
<!--Set ViewData-->
@{
    ViewData["Title"] = "Home Page Info";
}

<body>
    <script>

        var homeConfig = @Html.Raw(Json.Encode(ViewBag.info));

        $(document).ready(function () {

        function checked() {
            var x = document.getElementById("showDataWipe");
            if (x.value = true) {
                x.checked = false;
                x.value = false;
            } else {
                x.value = true;
                x.checked = true;
            }
        }

            $("#showDate").click(function () {
                var x = document.getElementById("dateAndTime");
                if (x.style.display === "none") {
                    x.style.display = "block";
                }
                else {
                    x.style.display = "none";
                }
            });

            $("#showDate").click(function () {
                $(this).text(function (i, v) {
                    return v === 'Show More' ? 'Show Less' : 'Show More'
                })
            });
        });
    </script>
    <div class=" row page-header"><h2>@ViewData["Title"]</h2></div>

    <div class="white-background" style="padding: 15px;">

        <a href="~/Admin/Index" class="btn btn-default" style="margin-top: 5px;">Back to Admin Page</a>
        <p><br />When you are finished making changes to the home page, select "Save All" (bottom of page). </p>
        <hr />

        <form action="AdminHome" enctype="multipart/form-data" method="post">
            <h3>Dates and Times</h3>
            <div id="dateAndTime">
                <p>Type in the following fields as you would like them to appear on the website.</p><br />
                <label for="semester">Semester:</label>
                <br />
                <input type="text" name="semester" class="input-text" value="@ViewBag.info.semester">
                <br />


                <label for="date">Date:</label>
                <br />
                <input type="text" name="date" class="input-text" value="@ViewBag.info.date">
                <br />


                <label for="timeNetwork">Time for Networking Event:</label>
                <br />
                <input type="text" name="timeNetwork" class="input-text" value="@ViewBag.info.timeNetwork">
                <br />

                <label for="timeCampus">Time for all of campus:</label>
                <br />
                <input type="text" name="timeCampus" class="input-text" value="@ViewBag.info.timeCampus">
                <br />

                <label for="dataWipe">Display database wipe disclaimer:</label>
                <br />
                <label for="wipeDate">Date:</label><input style="margin-left: 10px" type="date" class="input-text" name="wipeDate" value="@ViewBag.info.wipeDate" />
                @if (ViewBag.info.showDataWipe)
                {
                    <input style="margin-left: 30px" id="showDataWipe" name="showDataWipe" type="checkbox" value=true checked onclick="checked" />
                }
                else
                {
                    <input style="margin-left: 30px" id="showDataWipe" name="showDataWipe" type="checkbox" value=true onclick="checked" />
                }
                <label for="dataWipe">Display (Company data will be unavailable for users on date)</label>
                <br />
            </div>

            <hr />

            <h3>Upcoming Events PDF</h3>
            <div id="editEvents">

                <p>Select a PDF to advertise upcoming events here. New files will be uploaded from your computer. The currently selected file is shown next to "Current."</p>
                <br />
                <input type="file" runat="server" name="events" id="events" accept=".pdf">
                <p style="padding-top: 5px;"><strong>Current: </strong>@ViewBag.info.Events</p>
                <p style="color: red;">@ViewBag.message</p>
            </div>

            <hr />

            <h3>Carousel Images</h3>
            <div id="editCarousel">

                <p>
                    Select images to be displayed on the home page carousel. Images will appear in the order they are listed here.<br />
                    Images should be <strong>3290 x 1100 pixels</strong> in order for the carousel to look its best. <br />
                    New files will be uploaded from your computer. The currently selected file name is shown by "current." <br />
                    Add a caption (1-2 short sentences) to the photo. Keep it short; if it is too long, it will not fit in the allocated space. If no caption is desired, leave this space blank. <br />
                    Add alternate text to the photo (a brief description of the picture). This will be used to make the website more handicap accessable. <br />
                </p>
                <br />
                <div id="image_box">

                    @for (int i = 0; i < ViewBag.info.GetCarouselSize(); i++)
                    {
                        <div class="row alternate-color">
                            <div class="col-md-4" style="padding-top: 10px;">
                                <input type="file" name="photo@(i)" accept="image/*">
                                <p style="padding-top: 5px;"><strong>Current: </strong>@ViewBag.info.GetCarousel()[i].image</p>
                            </div>
                            <div class="col-md-4" style="padding-top: 10px;">
                                <label for="caption@(i)">Photo caption:</label>
                                <br />
                                <textarea name="caption@(i)" class="textbox" placeholder="Type a caption here, if desired">@ViewBag.info.GetCarousel()[i].caption</textarea>
                                <br />
                            </div>
                            <div class="col-md-4" style="padding-top: 10px;">
                                <label for="altText@(i)">Image Alt Text:</label>
                                <br />
                                <textarea name="altText@(i)" class="textbox" placeholder="Type alternate text here">@ViewBag.info.GetCarousel()[i].altText</textarea>
                                <br />
                            </div>

                            <button name="theIndex" value="@i" style="margin-bottom: 10px" onclick="return confirm('Pressing OK will permanently delete this image, are you sure?')">Remove Picture</button>
                        </div>
                    }
                </div>


                <button name="saveImage" value="addImage" style="margin-bottom: 10px">Add Picture</button>
                <br />

            </div>

            <hr />


            <input value="Save All" type="submit" style="margin-top: 5px;">
            <input type="hidden" name="saveAll" value="Save All" />


        </form>

    </div>

</body>
</html>